[condor]
universe = vanilla
datafind             = $ENV(HOME)/local/bin/ligo_data_find
gstlal_inspiral      = $ENV(HOME)/local/bin/gstlal_inspiral
lalapps_inspinj      = $ENV(HOME)/local/bin/lalapps_inspinj
ligolw_add           = $ENV(HOME)/local/bin/ligolw_add
ligolw_thinca        = $ENV(HOME)/local/bin/lalapps_thinca
ligolw_inspinjfind   = $ENV(HOME)/local/bin/lalapps_inspinjfind
ligolw_sqlite        = $ENV(HOME)/local/bin/ligolw_sqlite
lalapps_run_sqlite   = $ENV(HOME)/local/bin/lalapps_run_sqlite

[pipeline]
version = FIXME
user_tag = LLOID
ifos = H1,H2,L1
out_dir = logs
cache_dir = cache
min_segment_length = 1024
files_per_thinca = 1
files_per_inspinjfind = 30
max_cafe_extent = 3600
;FIXME we need to add this to gstlal_inspiral too...
gstlal_inspiral_overlap = 64
pad_data = 128

[input]
segments = ../segments.xml

[datafind]
lal-cache = 
url-type = file
type_H1 = H1_RDS_C03_L2
type_H2 = H2_RDS_C03_L2
type_L1 = L1_RDS_C03_L2
type_V1 = HrecV2_16384Hz

[lalapps_inspinj]
f-lower = 30
time-step=724.077
waveform = TaylorT4threePointFivePN
min-distance = 1000
max-distance = 30000
d-distr = log10
l-distr = random
i-distr = uniform
min-mass1 = 1.4
max-mass1 = 1.6
min-mass2 = 1.4
max-mass2 = 1.6
m-distr = componentMass
min-mtotal = 2.8
max-mtotal = 3.2
disable-spin =
min-mratio = 0.10
max-mratio = 1.0
taper-injection = start
seed = $(macroseed)

[gstlal_inspiral]
template-bank = $ENV(HOME)/local/src/gstlal/examples/banks/3-split_bank-H1-TMPLTBANK_DATAFIND-871157768-2048.xml.gz
svd-tolerance = 0.9995
ortho-gate-fap = 1e-2
snr-threshold = 5.5

[gstlal_inspiral_H1]
channel = LSC-STRAIN

[gstlal_inspiral_H2]
channel = LSC-STRAIN

[gstlal_inspiral_L1]
channel = LSC-STRAIN

[gstlal_inspiral_V1]
channel = h_16384Hz

[ligolw_add]
mangle-sngl-inspiral-ids = ilwd:char

[ligolw_thinca]
comment = $(macrocomment)
trigger-program = gstlal_inspiral
effective-snr = gstlal
e-thinca-parameter = 1.5

[lalapps_run_sqlite]
sql-file = $ENV(HOME)/local/share/lalapps/cluster.sql
tmp-space = $ENV(TMPDIR)

[ligolw_inspinjfind]
comment = $(macrocomment)
match-algorithm = inspiral

[ligolw_sqlite]
replace =
preserve-ids =
database = $(macrodatabase)
tmp-space = $ENV(TMPDIR)

[sqlitetoxml]
extract = $(macroextract)
preserve-ids =
database = $(macrodatabase)
tmp-space = $ENV(TMPDIR)
